Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: Fabrice Niessen <[email-masked]>
Date: Tue, 12 Feb 2013 14:07:55 +0100

Eli,

"Sebastien Vauban" wrote:
> Eli Zaretskii wrote:
>>> From: "Sebastien Vauban" <[email-masked]>
>>> Date: Fri, 25 Jan 2013 17:03:30 +0100
>>> 
>>> > What I'd like is for you to step with a debugger through the affected
>>> > code and see what is going on there.
>>> > But since your cannot reproduce this at will, it doesn't seem to be
>>> > possible...
>>> 
>>> But I'm sure it will come back[1], and that will happen, can you tell me
>>> what I should type in the GDB window?
>>
>> OK. So please attach GDB to Emacs _before_ the problem happens, and set a
>> breakpoint like this:
>>
>>   (gdb) break fileio.c:4913
>>   (gdb) continue
>>
>> The breakpoint will be on this line in fileio.c:
>>
>>   if (! ok)
>>     error ("IO error writing %s: %s", SDATA (filename),  <<<<<<<<<
>>            emacs_strerror (save_errno));
>>
>> Then do whatever it takes to reproduce the problem.  When it happens
>> again, this breakpoint should break.
>
> I did attach to Emacs when problems began with Helm.
>
> $ gdb emacs.exe -p 21312
> GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
> Copyright (C) 2012 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "i686-cygwin".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>...
> Reading symbols from /cygdrive/c/Program Files (x86)/emacs-24.2.93/bin/emacs.exe...done.
> Attaching to program `/cygdrive/c/Program Files (x86)/emacs-24.2.93/bin/emacs.exe', process 21312
> [New Thread 21312.0x66d4]
> [New Thread 21312.0xdb8]
> [New Thread 21312.0x4dc]
> [New Thread 21312.0x65a0]
> [New Thread 21312.0x18f4]
> (gdb) break fileio.c:4913
> Breakpoint 1 at 0x106380e: file fileio.c, line 4913.
> (gdb) continue
> Continuing.
> [New Thread 21312.0x6b24]
> [New Thread 21312.0x1b0c]
> warning: sys_read called when read is in progress
> warning: reader_thread.SetEvent failed with 6 for fd 3
> [New Thread 21312.0x30a4]
> warning: sys_read called when read is in progress
> warning: reader_thread.SetEvent failed with 6 for fd 3
> [New Thread 21312.0x469c]
> [New Thread 21312.0x42c0]
> warning: reader_thread.SetEvent failed with 6 for fd 3
> [New Thread 21312.0x5050]
> [New Thread 21312.0x1014]

Follow-up (with the mistake of having typed quit inadvertendly):

--8<---------------cut here---------------start------------->8---
[... above ...]
warning: sys_read called when read is in progress
[New Thread 21312.0x1fe0]
exit
quit

[New Thread 21312.0x6118]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 21312.0x6118]
(gdb) qQuitu
it
A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n) Please answer y or n.
A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n) Please answer y or n.
A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n) Please answer y or n.
A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n) n
(gdb) Not confirmed.

A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n) n
(gdb) Not confirmed.

A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n) n
Not confirmed.(gdb)

A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n)
Please answer y or n.
A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n)
Please answer y or n.
A debugging session is active.

        Inferior 1 [process 21312] will be detached.

Quit anyway? (y or n) n
(gdb) Not confirmed.
n
Single stepping until exit from function ntdll!RtlVerifyVersionInfo,
which has no line number information.

p desc
--8<---------------cut here---------------end--------------->8---

I've no prompt anymore.

Best regards,
  Seb

-- 
Sebastien Vauban